[x265] Impossible d'effectuer la mise à jour (résolu)

Mise à jour / Création /debug de paquetages
Avatar de l’utilisateur
Leeo97one
newbie
Messages : 4
Inscription : dim. 23 oct. 2016, 22:42
Localisation : Bourgogne-Franche-Comté
Contact :

[x265] Impossible d'effectuer la mise à jour (résolu)

Messagepar Leeo97one » mar. 10 janv. 2017, 18:35

Bonjour,

Depuis un certain temps, plus possible de mettre à jour le paquet x265 :

Code : Tout sélectionner

[leeo@leeo-arch-pc ~]$ sudo pacman -S x265
[sudo] Mot de passe de leeo : 
résolution des dépendances...
recherche des conflits entre paquets...
erreur : la préparation de la transaction a échoué (la satisfaction des dépendances a échoué)
:: ffmpeg-nvenc : installer x265 (2.2-1) casse la dépendance « libx265.so=95-64 »

Je ne comprends pas pourquoi une telle erreur s'affiche car ffmpeg-nvenc ne requiert par de version particulière de x265. Je cherche donc une explication et une solution ^^
Dernière édition par Leeo97one le mar. 10 janv. 2017, 21:36, édité 1 fois.

Avatar de l’utilisateur
waitnsea
Maître du Kyudo
Messages : 1261
Inscription : jeu. 15 mars 2012, 05:08

Re: [x265] Impossible d'effectuer la mise à jour

Messagepar waitnsea » mar. 10 janv. 2017, 18:41

Bonjour,
Je dirais que le problème ne vient pas de x265, paquet officiel (community) mais de ffmpeg-nvenc (AUR), essaie de contacter le mainteneur ?
Asus-X7BJ i7 - 1 SSD + 1HDD - Arch/KDE - NVidia GeForce GT 425M - WiFi Atheros 9285
Dell Latitude E4310 i5 - Arch/KDE - Video intégrée Intel - Wifi Broadcom bcm4313

Avatar de l’utilisateur
FoolEcho
Maître du Kyudo
Messages : 10141
Inscription : dim. 15 août 2010, 11:48
Localisation : Basse-Normandie

Re: [x265] Impossible d'effectuer la mise à jour

Messagepar FoolEcho » mar. 10 janv. 2017, 18:47

Salut,

Leeo97one a écrit :

Code : Tout sélectionner

:: ffmpeg-nvenc : installer x265 (2.2-1) casse la dépendance « libx265.so=95-64 »

Je ne comprends pas pourquoi une telle erreur s'affiche car ffmpeg-nvenc ne requiert par de version particulière de x265. Je cherche donc une explication et une solution ^^

Ben si justement, cf. ffmpeg-nvenc : libx265.so (x265-hg, x265). Car son paquet (et le tien surtout qui a été compilé contre une précédente version de x265) date (x265 fournit libx265.so=102-64 là où le tien réclame une version antérieure).

Désinstaller ffmpeg-nvenc, mettre ton système à jour puis recompiler ffmpeg-nvenc devrait suffire.
«The following statement is not true. The previous statement is true.» :nage:

Avatar de l’utilisateur
Leeo97one
newbie
Messages : 4
Inscription : dim. 23 oct. 2016, 22:42
Localisation : Bourgogne-Franche-Comté
Contact :

Re: [x265] Impossible d'effectuer la mise à jour

Messagepar Leeo97one » mar. 10 janv. 2017, 19:07

Ce que je voulais dire par « ne requiert pas de version particulière de x265 » c'est que x265 fait bien parti des dépendances de ffmpeg-nvenc mais qu'aucune version précise n'est demandée (du moins pas d'après sa page dans l'AUR). Et c'est ça que je comprends pas :?
Cela voudrait donc dire que les dépendances de ffmpeg-nvenc ne sont plus exactement les mêmes après avoir installé le paquet ?

Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 13597
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [x265] Impossible d'effectuer la mise à jour

Messagepar benjarobin » mar. 10 janv. 2017, 20:12

Bonjour, c'est simple avec les dépendances finissant par .so, il y a de la magie derrière. Il récupère la version du .so et ajoute cette version trouvée en tant que dépendance
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
Leeo97one
newbie
Messages : 4
Inscription : dim. 23 oct. 2016, 22:42
Localisation : Bourgogne-Franche-Comté
Contact :

Re: [x265] Impossible d'effectuer la mise à jour

Messagepar Leeo97one » mar. 10 janv. 2017, 20:56

Donc ça veut dire que pour mettre à jour ce genre de dépendance il faut désinstaller le paquet qui en dépend, mettre à jour puis réinstaller ? :|

Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 13597
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [x265] Impossible d'effectuer la mise à jour

Messagepar benjarobin » mar. 10 janv. 2017, 20:58

Je ne vois en effet pas d'autre solution, ce qui est bien dommage...
Sinon pour appuyer mes dires, je te laisse regarder la sortie de

Code : Tout sélectionner

grep .so /var/lib/pacman/local/x265-*/desc
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
Leeo97one
newbie
Messages : 4
Inscription : dim. 23 oct. 2016, 22:42
Localisation : Bourgogne-Franche-Comté
Contact :

Re: [x265] Impossible d'effectuer la mise à jour

Messagepar Leeo97one » mar. 10 janv. 2017, 21:35

D'accord je vois x) Merci pour vos réponses ^^


Revenir vers « Paquetages »



Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 2 invités